#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tasty-silver
version:              3.3.1
visibility:           public
id:                   tasty-silver-3.3.1-698L7sX3yO62AGo8UkLDQc
key:                  tasty-silver-3.3.1-698L7sX3yO62AGo8UkLDQc
license:              MIT
maintainer:           Philipp Hausmann, Andreas Abel
author:               Philipp Hausmann, Roman Cheplyaka and others
homepage:             https://github.com/phile314/tasty-silver
synopsis:             A fancy test runner, including support for golden tests.
description:
    This package provides a fancy test runner and support for «golden testing».

    A golden test is an IO action that writes its result to a file.
    To pass the test, this output file should be identical to the corresponding
    «golden» file, which contains the correct result for the test.

    The test runner allows filtering tests using regexes, and to interactively
    inspect the result of golden tests.

    This package is a heavily extended fork of tasty-golden.

category:             Testing
abi:                  6778bc1c420c92e2691dde44a0ae3120
exposed:              True
exposed-modules:
    Test.Tasty.Silver Test.Tasty.Silver.Advanced
    Test.Tasty.Silver.Filter Test.Tasty.Silver.Interactive
    Test.Tasty.Silver.Interactive.Run Test.Tasty.Silver.Internal

import-dirs:          /usr/lib/ghc-9.0.1/site-local/tasty-silver-3.3.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/tasty-silver-3.3.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/tasty-silver-3.3.1
hs-libraries:         HStasty-silver-3.3.1-698L7sX3yO62AGo8UkLDQc
depends:
    ansi-terminal-0.11-DOUngjGM5e9DBdxKKdJoVq
    async-2.2.3-9hcO3XZAP863cAPa5inA8N base-4.15.0.0
    bytestring-0.10.12.1 containers-0.6.4.1 deepseq-1.4.5.0
    directory-1.3.6.1 filepath-1.4.2.1 mtl-2.2.2
    optparse-applicative-0.16.1.0-Hmp4enGFORO7G3xu1QJ5as
    process-1.6.11.0 process-extras-0.7.4-LI8XRhyyM6ZGrGHMAdG6lX
    regex-tdfa-1.3.1.1-JysT5HHQf7SDqagoTfdJw
    silently-1.2.5.1-IkeZYC06APlDdm7dF2fIyE stm-2.5.0.0
    tagged-0.8.6.1-FL843C40q4d1DeuwYADr25
    tasty-1.4.2-Bm6RHH7ID0qJ5MVdVnudQG
    temporary-1.3-6FIxg0ZrJD07j9FbKd9D73 text-1.2.4.1

haddock-interfaces:
    /usr/share/doc/haskell-tasty-silver/html/tasty-silver.haddock

haddock-html:         /usr/share/doc/haskell-tasty-silver/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

